<!--
 * Copyright 2008 IHE International (http://www.ihe.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.2
 -->
<!--@formatter:off-->
<m:message xmlns:m="http://jboss.org/schema/seam/mail" xmlns="http://www.w3.org/1999/xhtml"
           charset="UTF8">
    <m:from name="#{applicationPreferenceManager.getApplicationNoReplyEmail()}"
            address="#{applicationPreferenceManager.getApplicationNoReplyEmail()}"/>
    <m:replyTo name="#{applicationPreferenceManager.getApplicationAdminName()}"
               address="#{applicationPreferenceManager.getApplicationAdminEmail()}"/>
    <m:to name="#{interpolator.interpolate(messages['gazelle.common.mail.to'], emailManager.recipient.firstName, emailManager.recipient.lastName)}">
        #{emailManager.recipient.email}</m:to>
    <m:bcc name="History">#{applicationPreferenceManager.getApplicationEmailAccountForHistory()}</m:bcc>
    <m:subject>#{applicationPreferenceManager.getApplicationName()} - #{messages['gazelle.common.AccountActivation']}
    </m:subject>
    <m:body type="plain">
        #{interpolator.interpolate(messages['gazelle.common.mail.headerWithInstitution'], emailManager.recipient.firstName, emailManager.recipient.lastName, emailManager.recipient.institution.name)}

        #{interpolator.interpolate(messages['gazelle.common.mail.confirmation.thankyou'], applicationPreferenceManager.getApplicationName())}
        #{interpolator.interpolate(messages['gazelle.common.mail.confirmation.login'],emailManager.concerned.username)}
        #{messages['gazelle.common.mail.confirmation.username']}
        #{messages['gazelle.common.mail.confirmation.instructions']}
        #{applicationPreferenceManager.getApplicationUrl()}confirmRegistration.seam?activationCode=#{emailManager.concerned.activationCode}

        #{applicationPreferenceManager.getApplicationAdminName()}
    </m:body>
</m:message>
<!--@formatter:on-->